gr::gfdm::extract_burst_cc_impl Class Reference

`#include <extract_burst_cc_impl.h>`

Inheritance diagram for gr::gfdm::extract_burst_cc_impl:
[legend]

## Public Member Functions

| extract_burst_cc_impl (int burst_len, int tag_backoff, std::string burst_start_tag, bool activate_cfo_correction)
| ~extract_burst_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
void | activate_cfo_compensation (bool activate_cfo_compensation)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::extract_burst_cc
typedef boost::shared_ptr< extract_burst_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::extract_burst_cc
static sptr | make (int burst_len, int tag_backoff, std::string burst_start_tag, bool activate_cfo_correction=false)
| Return a shared_ptr to a new instance of gfdm::extract_burst_cc.

## Constructor & Destructor Documentation

## extract_burst_cc_impl()

gr::gfdm::extract_burst_cc_impl::extract_burst_cc_impl | ( | int | burst_len,
|  | int | tag_backoff,
|  | std::string | burst_start_tag,
|  | bool | activate_cfo_correction
| ) |  |

## ~extract_burst_cc_impl()

gr::gfdm::extract_burst_cc_impl::~extract_burst_cc_impl | ( |  | ) |

## Member Function Documentation

## activate_cfo_compensation()

void gr::gfdm::extract_burst_cc_impl::activate_cfo_compensation | ( | bool | activate_cfo_compensation | ) |

inlinevirtual

Implements gr::gfdm::extract_burst_cc.

References activate_cfo_compensation().

Referenced by activate_cfo_compensation().

## forecast()

void gr::gfdm::extract_burst_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::gfdm::extract_burst_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- extract_burst_cc_impl.h